Bug 212691 - gtk.TreeSelection.selected_foreach bug (fixed upstream)
gtk.TreeSelection.selected_foreach bug (fixed upstream)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks: 212312
  Show dependency treegraph
 
Reported: 2006-10-28 01:09 EDT by Thomas M Steenholdt
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 04:53:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas M Steenholdt 2006-10-28 01:09:08 EDT
Description of problem:

pygtk2-2.10.1-5.fc6 has a bug in gtk.TreeSelection.selected_foreach that makes
at least revelation (and presumably other apps) crash. See #212312.

this has been fixed upstream in 2.10.2:
http://ftp.gnome.org/pub/GNOME/sources/pygtk/2.10/pygtk-2.10.2.news

...which turned out to have a small crasher itself, and further fixed in 2.10.3:
http://ftp.gnome.org/pub/GNOME/sources/pygtk/2.10/pygtk-2.10.3.news

2.10.3 has been out for almost a month, so it should be pretty safe (unless
critical bugs unknown to me are reported elsewhere) to update.

Thanks
Comment 1 Thorsten Leemhuis 2006-10-28 10:40:25 EDT
Thomas confirmed in Bug 212312 Comment 6 that the newer pygtk acutally fixes
this bug. I (as the maintainer of revelation) would be glad if core could ship
2.10.3 as a update (2.10.1 still in updates-testing)
Comment 2 Matthew Barnes 2006-10-28 11:16:45 EDT
I plan to update pygtk2 to 2.10.3 in Fedora Core 6 next week.
Comment 3 Thorsten Leemhuis 2006-10-31 03:13:15 EST
(In reply to comment #2)
> I plan to update pygtk2 to 2.10.3 in Fedora Core 6 next week.

thx, the version in updates-testing fixes Bug 212312
Comment 4 Thomas M Steenholdt 2006-10-31 04:53:38 EST
Sure does!

Thanks a lot!

I'm closing this bug as "ERRATA"
Comment 5 Thorsten Leemhuis 2006-11-07 11:35:56 EST
ping -- when will 2.10.3 be moved to updates proper?
Comment 6 Matthew Barnes 2006-11-07 11:53:42 EST
It's already available.
Comment 7 Thorsten Leemhuis 2006-11-07 12:14:21 EST
/me was blind it seemswhen lookint at the repo; sorry for the noise

Note You need to log in before you can comment on or make changes to this bug.